Subject: [PATCH v10 0/7] ARM: support for Trusted Foundations secure monitor

From: [email-masked] (Alex Courbot)
Date: Mon, 18 Nov 2013 15:28:14 +0900

On 11/17/2013 06:03 PM, Alexandre Courbot wrote:
> On Thu, Nov 14, 2013 at 10:20 AM, Alex Courbot <[email-masked]> wrote:
>> On 11/14/2013 02:57 AM, Olof Johansson wrote:
>>>
>>> On Tue, Nov 12, 2013 at 6:14 PM, Alex Courbot <[email-masked]> wrote:
>>>>
>>>> On 11/13/2013 05:38 AM, Olof Johansson wrote:
>>>>>
>>>>>
>>>>> On Tue, Nov 12, 2013 at 12:26 PM, Stephen Warren <[email-masked]>
>>>>> wrote:
>>>>>>
>>>>>>
>>>>>> On 11/07/2013 03:11 AM, Alexandre Courbot wrote:
>>>>>>>
>>>>>>>
>>>>>>> Just a set of small fixes to address the concerns expressed on v9 with
>>>>>>> the
>>>>>>> non-prefixed version DT properties. I hope there won't be a need for
>>>>>>> an
>>>>>>> eleventh (!) version. :P
>>>>>>
>>>>>>
>>>>>>
>>>>>> BTW, this version looks fine to me. On IRC, Olof said it looked OK to
>>>>>> him. I'm just waiting to hear back from Olof/Russell whether I should
>>>>>> merge this through the Tegra tree, or whether the first 1-3 patches
>>>>>> should go through Russell's tree.
>>>>>
>>>>>
>>>>>
>>>>> I pinged Russell, and he brought up the fact that there were earlier
>>>>> requests to move it to drivers/firmware. It would make sense to try to
>>>>> get that done before merging, especially if you anticipate someone
>>>>> using TF on 64-bit platforms.
>>>>
>>>>
>>>>
>>>> IIRC when we discussed this point your last comment was as follows:
>>>
>>>
>>> Touche. :) Thanks for the reminder.
>>>
>>>> On Tue, Oct 29, 2013 at 6:55 AM, Olof Johansson <[email-masked]> wrote:
>>>>>
>>>>> I think we can probably merge this under arch/arm now, and when we
>>>>> figure out what needs to be common with ARM64 we can move it out to a
>>>>> good location. It might be that mostly just a header file with ABI
>>>>> conventions needs to be shared, not actual implementation, for
>>>>> example.
>>>>
>>>>
>>>> So I thought we agreed on that. If in the end we prefer to move the ARM
>>>> firmware interface into drivers/firmware, I'm fine with that too (Tomasz
>>>> also confirmed he would be ok with it) but I wonder if that would not be
>>>> somehow premature.
>>>>
>>>> Another worry of mine is that this might delay this patchset some more.
>>>> Support for TF is one of the last remaining step towards making NVIDIA
>>>> branded Tegra retail devices (SHIELD and TegraNote at the moment) run
>>>> upstream directly. I missed 3.13, I'd like to make sure I won't miss
>>>> 3.14.
>>>> Would it be acceptable if we move the ARM firmware interface to a common
>>>> place after this patchset is merged?
>>>
>>>
>>> Well, as I already said I'm ok with things going into arch/arm to
>>> start with, as long as Russell is. Once we see 64-bit needs for the
>>> same we'll move it out -- it's not like it's a whole lot of code to
>>> start with. But Russell has veto on the topic. :-)
>>
>>
>> Thanks Olof. Russell, are you ok with the patchset in its current form? I
>> can start moving the firmware interface out of arch/arm if that's what you
>> want (there is no user outside of ARM at the moment, but as Olof pointed out
>> that's not too much code) but I'd really like to see this series secured for
>> 3.14.
>
> Never mind, I have submitted a patch that moves firmware_ops to
> drivers/firmware, that will hopefully settle this issue. Then maybe we
> can finally flush this series as well (I will need to resubmit a new
> version though).

... and that patch is very likely to not make it, for (I think) valid 
reasons. Thus I'm not quite sure where we are with this series now.